- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libetonyek::KEYShape Struct Reference

Representation of a shape. More...

`#include <KEYShape.h>`

## Public Member Functions
| KEYShape ()

## Public Attributes
KEYGeometryPtr_t | geometry
KEYStylePtr_t | style
KEYPathPtr_t | path
KEYTextPtr_t | text

## Detailed Description

Representation of a shape.

## Constructor & Destructor Documentation

libetonyek::KEYShape::KEYShape | ( |  | ) |

## Member Data Documentation

KEYGeometryPtr_t libetonyek::KEYShape::geometry

KEYPathPtr_t libetonyek::KEYShape::path

KEYStylePtr_t libetonyek::KEYShape::style

KEYTextPtr_t libetonyek::KEYShape::text

The documentation for this struct was generated from the following files:

- KEYShape.h
- KEYShape.cpp